For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve the user

How to fetch the user via API

To fetch the user, send a GET request to the /api/user endpoint.

Request

GET https://provisioning.commercelayer.io/api/user

Example

The following request fetches the user in scope:

curl -g -X GET \
  'https://provisioning.commercelayer.io/api/user/' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer {{your_access_token}}'

On success, the API responds with a 200 OK status code, returning a single resource object:

{
  "data": {
    "id": "xYZkjABcde",
    "type": "users",
    "attributes": {
      "email": "user@commercelayer.io",
      "first_name": "John",
      "last_name": "Doe",
      "time_zone": "UTC",
      "otp_required_for_login": false,
      "created_at": "2018-01-01T12:00:00.000Z",
      "updated_at": "2018-01-01T12:00:00.000Z",
      "reference": "ANY-EXTERNAL-REFEFERNCE",
      "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
      "metadata": {
        "foo": "bar"
      }
    }
  }
}

Last updated